Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | XMLElement

Name

### getName()

Examples

    // The following short XML file called "sites.xml" is parsed
    // in the code below. It must be in the project's "data" directory
    // <?xml version="1.0"?>
    // <websites>
    //   <site>
    //     <name>Processing</name>
    //     <url>www.processing.org</url>
    //   </site>
    // </websites>

    XMLElement xml;

    void setup() {
      size(200, 200);
      xml = new XMLElement(this, "sites.xml");
      XMLElement site = xml.getChild(0);
      XMLElement[] siteData = site.getChildren();
      String s1 = siteData[0].getName();
      String s2 = siteData[1].getName();
      println(s1 + " : " + s2);  // Prints "name : url"
    }

Description | Returns the name of the element.

Syntax

    xml.getName()

Parameters

xml | any variable of type XMLElement

Returns | String
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST